﻿using Benner.Core.Bef;
using Benner.Core.Bef.Abstractions;
using Benner.NaiveService.API.Infrastructure.Entities;
using Benner.NaiveService.API.Services;

namespace Benner.NaiveService.API
{
    public class ExemploBefPlugin : IBefPlugin
    {
        public void Initialize(IServiceCollection services, IBefServices befServices, BefContextOptions diContext)
        {
            services.AddScoped<IExemplosService, ExemplosService>();

            befServices.AddMapping(typeof(IEstados), typeof(Estados));
            befServices.AddMapping(typeof(IMunicipios), typeof(Municipios));
        }
    }
}
