﻿using Benner.NaiveService.API.Infrastructure.Entities;
using Benner.NaiveService.API.Models;

namespace Benner.NaiveService.API.Services
{
    public interface IExemplosService
    {
        IEnumerable<IEstados> RetornarTodos();
        void Criar(string name);
        IEstados AlterarNome(long handle, string name);
        void Excluir(long handle);
        MunicipioModel RetornarQuantidadeCidadesHomonimas(string cityName);
        MunicipioModel RetornarCidadeHomonimaMaiorReincidenciaPorEstado(long handleEstado);
    }
}
